

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [CreateAct](API_CreateAct.md) 
+  [CreateSession](API_CreateSession.md) 
+  [CreateWorkflowDefinition](API_CreateWorkflowDefinition.md) 
+  [CreateWorkflowRun](API_CreateWorkflowRun.md) 
+  [DeleteWorkflowDefinition](API_DeleteWorkflowDefinition.md) 
+  [DeleteWorkflowRun](API_DeleteWorkflowRun.md) 
+  [GetWorkflowDefinition](API_GetWorkflowDefinition.md) 
+  [GetWorkflowRun](API_GetWorkflowRun.md) 
+  [InvokeActStep](API_InvokeActStep.md) 
+  [ListActs](API_ListActs.md) 
+  [ListModels](API_ListModels.md) 
+  [ListSessions](API_ListSessions.md) 
+  [ListWorkflowDefinitions](API_ListWorkflowDefinitions.md) 
+  [ListWorkflowRuns](API_ListWorkflowRuns.md) 
+  [UpdateAct](API_UpdateAct.md) 
+  [UpdateWorkflowRun](API_UpdateWorkflowRun.md) 

# CreateAct
<a name="API_CreateAct"></a>

Creates a new AI task (act) within a session that can interact with tools and perform specific actions.

## Request Syntax
<a name="API_CreateAct_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId/sessions/sessionId/acts HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "task": "string",
   "toolSpecs": [ 
      { 
         "description": "string",
         "inputSchema": { ... },
         "name": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateAct_RequestParameters"></a>

The request uses the following URI parameters.

 ** [sessionId](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-uri-sessionId"></a>
The unique identifier of the session to create the act in.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [workflowDefinitionName](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the session.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-uri-workflowRunId"></a>
The unique identifier of the workflow run containing the session.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_CreateAct_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [task](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-task"></a>
The task description that defines what the act should accomplish.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 10000.  
Required: Yes

 ** [toolSpecs](#API_CreateAct_RequestSyntax) **   <a name="novaact-CreateAct-request-toolSpecs"></a>
A list of tool specifications that the act can invoke to complete its task.  
Type: Array of [ToolSpec](API_ToolSpec.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 100 items.  
Required: No

## Response Syntax
<a name="API_CreateAct_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "actId": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_CreateAct_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [actId](#API_CreateAct_ResponseSyntax) **   <a name="novaact-CreateAct-response-actId"></a>
The unique identifier for the created act.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

 ** [status](#API_CreateAct_ResponseSyntax) **   <a name="novaact-CreateAct-response-status"></a>
The initial status of the act after creation.  
Type: String  
Valid Values: `RUNNING | PENDING_CLIENT_ACTION | PENDING_HUMAN_ACTION | SUCCEEDED | FAILED | TIMED_OUT` 

## Errors
<a name="API_CreateAct_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ServiceQuotaExceededException](API_ServiceQuotaExceededException.md)   
The request would exceed a service quota limit.    
 ** message **   
The request would exceed one or more service quotas for your account.  
 ** quotaCode **   
The code for the specific quota that was exceeded.  
 ** resourceId **   
The identifier of the resource that exceeded the quota.  
 ** resourceType **   
The type of resource that exceeded the quota.  
 ** serviceCode **   
The service code for the quota that was exceeded.
HTTP Status Code: 402

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_CreateAct_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/CreateAct) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/CreateAct) 

# CreateSession
<a name="API_CreateSession"></a>

Creates a new session context within a workflow run to manage conversation state and acts.

## Request Syntax
<a name="API_CreateSession_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId/sessions HTTP/1.1
Content-type: application/json

{
   "clientToken": "string"
}
```

## URI Request Parameters
<a name="API_CreateSession_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_CreateSession_RequestSyntax) **   <a name="novaact-CreateSession-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the workflow run.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_CreateSession_RequestSyntax) **   <a name="novaact-CreateSession-request-uri-workflowRunId"></a>
The unique identifier of the workflow run to create the session in.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_CreateSession_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateSession_RequestSyntax) **   <a name="novaact-CreateSession-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

## Response Syntax
<a name="API_CreateSession_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "sessionId": "string"
}
```

## Response Elements
<a name="API_CreateSession_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [sessionId](#API_CreateSession_ResponseSyntax) **   <a name="novaact-CreateSession-response-sessionId"></a>
The unique identifier for the created session.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

## Errors
<a name="API_CreateSession_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ServiceQuotaExceededException](API_ServiceQuotaExceededException.md)   
The request would exceed a service quota limit.    
 ** message **   
The request would exceed one or more service quotas for your account.  
 ** quotaCode **   
The code for the specific quota that was exceeded.  
 ** resourceId **   
The identifier of the resource that exceeded the quota.  
 ** resourceType **   
The type of resource that exceeded the quota.  
 ** serviceCode **   
The service code for the quota that was exceeded.
HTTP Status Code: 402

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_CreateSession_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/CreateSession) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/CreateSession) 

# CreateWorkflowDefinition
<a name="API_CreateWorkflowDefinition"></a>

Creates a new workflow definition template that can be used to execute multiple workflow runs.

## Request Syntax
<a name="API_CreateWorkflowDefinition_RequestSyntax"></a>

```
PUT /workflow-definitions HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "description": "string",
   "exportConfig": { 
      "s3BucketName": "string",
      "s3KeyPrefix": "string"
   },
   "name": "string"
}
```

## URI Request Parameters
<a name="API_CreateWorkflowDefinition_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateWorkflowDefinition_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateWorkflowDefinition_RequestSyntax) **   <a name="novaact-CreateWorkflowDefinition-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [description](#API_CreateWorkflowDefinition_RequestSyntax) **   <a name="novaact-CreateWorkflowDefinition-request-description"></a>
An optional description of the workflow definition's purpose and functionality.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4000.  
Required: No

 ** [exportConfig](#API_CreateWorkflowDefinition_RequestSyntax) **   <a name="novaact-CreateWorkflowDefinition-request-exportConfig"></a>
Configuration for exporting workflow execution data to Amazon Simple Storage Service.  
Type: [WorkflowExportConfig](API_WorkflowExportConfig.md) object  
Required: No

 ** [name](#API_CreateWorkflowDefinition_RequestSyntax) **   <a name="novaact-CreateWorkflowDefinition-request-name"></a>
The name of the workflow definition. Must be unique within your account and region.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

## Response Syntax
<a name="API_CreateWorkflowDefinition_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "status": "string"
}
```

## Response Elements
<a name="API_CreateWorkflowDefinition_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [status](#API_CreateWorkflowDefinition_ResponseSyntax) **   <a name="novaact-CreateWorkflowDefinition-response-status"></a>
The current status of the workflow definition after creation.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_CreateWorkflowDefinition_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ServiceQuotaExceededException](API_ServiceQuotaExceededException.md)   
The request would exceed a service quota limit.    
 ** message **   
The request would exceed one or more service quotas for your account.  
 ** quotaCode **   
The code for the specific quota that was exceeded.  
 ** resourceId **   
The identifier of the resource that exceeded the quota.  
 ** resourceType **   
The type of resource that exceeded the quota.  
 ** serviceCode **   
The service code for the quota that was exceeded.
HTTP Status Code: 402

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_CreateWorkflowDefinition_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/CreateWorkflowDefinition) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/CreateWorkflowDefinition) 

# CreateWorkflowRun
<a name="API_CreateWorkflowRun"></a>

Creates a new execution instance of a workflow definition with specified parameters.

## Request Syntax
<a name="API_CreateWorkflowRun_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs HTTP/1.1
Content-type: application/json

{
   "clientInfo": { 
      "compatibilityVersion": number,
      "sdkVersion": "string"
   },
   "clientToken": "string",
   "logGroupName": "string",
   "modelId": "string"
}
```

## URI Request Parameters
<a name="API_CreateWorkflowRun_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_CreateWorkflowRun_RequestSyntax) **   <a name="novaact-CreateWorkflowRun-request-uri-workflowDefinitionName"></a>
The name of the workflow definition to execute.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

## Request Body
<a name="API_CreateWorkflowRun_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientInfo](#API_CreateWorkflowRun_RequestSyntax) **   <a name="novaact-CreateWorkflowRun-request-clientInfo"></a>
Information about the client making the request, including compatibility version and SDK version.  
Type: [ClientInfo](API_ClientInfo.md) object  
Required: Yes

 ** [clientToken](#API_CreateWorkflowRun_RequestSyntax) **   <a name="novaact-CreateWorkflowRun-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [logGroupName](#API_CreateWorkflowRun_RequestSyntax) **   <a name="novaact-CreateWorkflowRun-request-logGroupName"></a>
The CloudWatch log group name for storing workflow execution logs.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `[a-zA-Z0-9_/.-]+`   
Required: No

 ** [modelId](#API_CreateWorkflowRun_RequestSyntax) **   <a name="novaact-CreateWorkflowRun-request-modelId"></a>
The ID of the AI model to use for workflow execution.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Required: Yes

## Response Syntax
<a name="API_CreateWorkflowRun_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "status": "string",
   "workflowRunId": "string"
}
```

## Response Elements
<a name="API_CreateWorkflowRun_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [status](#API_CreateWorkflowRun_ResponseSyntax) **   <a name="novaact-CreateWorkflowRun-response-status"></a>
The initial status of the workflow run after creation.  
Type: String  
Valid Values: `RUNNING | SUCCEEDED | FAILED | TIMED_OUT | DELETING` 

 ** [workflowRunId](#API_CreateWorkflowRun_ResponseSyntax) **   <a name="novaact-CreateWorkflowRun-response-workflowRunId"></a>
The unique identifier for the created workflow run.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

## Errors
<a name="API_CreateWorkflowRun_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_CreateWorkflowRun_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/CreateWorkflowRun) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/CreateWorkflowRun) 

# DeleteWorkflowDefinition
<a name="API_DeleteWorkflowDefinition"></a>

Deletes a workflow definition and all associated resources. This operation cannot be undone.

## Request Syntax
<a name="API_DeleteWorkflowDefinition_RequestSyntax"></a>

```
DELETE /workflow-definitions/workflowDefinitionName HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteWorkflowDefinition_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_DeleteWorkflowDefinition_RequestSyntax) **   <a name="novaact-DeleteWorkflowDefinition-request-uri-workflowDefinitionName"></a>
The name of the workflow definition to delete.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

## Request Body
<a name="API_DeleteWorkflowDefinition_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteWorkflowDefinition_ResponseSyntax"></a>

```
HTTP/1.1 202
Content-type: application/json

{
   "status": "string"
}
```

## Response Elements
<a name="API_DeleteWorkflowDefinition_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [status](#API_DeleteWorkflowDefinition_ResponseSyntax) **   <a name="novaact-DeleteWorkflowDefinition-response-status"></a>
The status of the workflow definition after deletion request.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_DeleteWorkflowDefinition_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_DeleteWorkflowDefinition_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/DeleteWorkflowDefinition) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/DeleteWorkflowDefinition) 

# DeleteWorkflowRun
<a name="API_DeleteWorkflowRun"></a>

Terminates and cleans up a workflow run, stopping all associated acts and sessions.

## Request Syntax
<a name="API_DeleteWorkflowRun_RequestSyntax"></a>

```
DELETE /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteWorkflowRun_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_DeleteWorkflowRun_RequestSyntax) **   <a name="novaact-DeleteWorkflowRun-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the workflow run.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_DeleteWorkflowRun_RequestSyntax) **   <a name="novaact-DeleteWorkflowRun-request-uri-workflowRunId"></a>
The unique identifier of the workflow run to delete.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_DeleteWorkflowRun_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteWorkflowRun_ResponseSyntax"></a>

```
HTTP/1.1 202
Content-type: application/json

{
   "status": "string"
}
```

## Response Elements
<a name="API_DeleteWorkflowRun_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [status](#API_DeleteWorkflowRun_ResponseSyntax) **   <a name="novaact-DeleteWorkflowRun-response-status"></a>
The status of the workflow run after deletion request.  
Type: String  
Valid Values: `RUNNING | SUCCEEDED | FAILED | TIMED_OUT | DELETING` 

## Errors
<a name="API_DeleteWorkflowRun_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_DeleteWorkflowRun_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/DeleteWorkflowRun) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/DeleteWorkflowRun) 

# GetWorkflowDefinition
<a name="API_GetWorkflowDefinition"></a>

Retrieves the details and configuration of a specific workflow definition.

## Request Syntax
<a name="API_GetWorkflowDefinition_RequestSyntax"></a>

```
GET /workflow-definitions/workflowDefinitionName HTTP/1.1
```

## URI Request Parameters
<a name="API_GetWorkflowDefinition_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_GetWorkflowDefinition_RequestSyntax) **   <a name="novaact-GetWorkflowDefinition-request-uri-workflowDefinitionName"></a>
The name of the workflow definition to retrieve.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

## Request Body
<a name="API_GetWorkflowDefinition_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetWorkflowDefinition_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "createdAt": "string",
   "description": "string",
   "exportConfig": { 
      "s3BucketName": "string",
      "s3KeyPrefix": "string"
   },
   "name": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_GetWorkflowDefinition_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-arn"></a>
The Amazon Resource Name (ARN) of the workflow definition.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-us-gov):nova-act:[a-z0-9-]+:[0-9]{12}:workflow-definition/[a-zA-Z0-9_-]{1,40}` 

 ** [createdAt](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-createdAt"></a>
The timestamp when the workflow definition was created.  
Type: Timestamp

 ** [description](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-description"></a>
The description of the workflow definition.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4000.

 ** [exportConfig](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-exportConfig"></a>
The export configuration for the workflow definition.  
Type: [WorkflowExportConfig](API_WorkflowExportConfig.md) object

 ** [name](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-name"></a>
The name of the workflow definition.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}` 

 ** [status](#API_GetWorkflowDefinition_ResponseSyntax) **   <a name="novaact-GetWorkflowDefinition-response-status"></a>
The current status of the workflow definition.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_GetWorkflowDefinition_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_GetWorkflowDefinition_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/GetWorkflowDefinition) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/GetWorkflowDefinition) 

# GetWorkflowRun
<a name="API_GetWorkflowRun"></a>

Retrieves the current state, configuration, and execution details of a workflow run.

## Request Syntax
<a name="API_GetWorkflowRun_RequestSyntax"></a>

```
GET /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetWorkflowRun_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_GetWorkflowRun_RequestSyntax) **   <a name="novaact-GetWorkflowRun-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the workflow run.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_GetWorkflowRun_RequestSyntax) **   <a name="novaact-GetWorkflowRun-request-uri-workflowRunId"></a>
The unique identifier of the workflow run to retrieve.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_GetWorkflowRun_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetWorkflowRun_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "endedAt": "string",
   "logGroupName": "string",
   "modelId": "string",
   "startedAt": "string",
   "status": "string",
   "workflowRunArn": "string",
   "workflowRunId": "string"
}
```

## Response Elements
<a name="API_GetWorkflowRun_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [endedAt](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-endedAt"></a>
The timestamp when the workflow run completed execution, if applicable.  
Type: Timestamp

 ** [logGroupName](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-logGroupName"></a>
The CloudWatch log group name for this workflow run's logs.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `[a-zA-Z0-9_/.-]+` 

 ** [modelId](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-modelId"></a>
The ID of the AI model being used for this workflow run.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.

 ** [startedAt](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-startedAt"></a>
The timestamp when the workflow run started execution.  
Type: Timestamp

 ** [status](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-status"></a>
The current execution status of the workflow run.  
Type: String  
Valid Values: `RUNNING | SUCCEEDED | FAILED | TIMED_OUT | DELETING` 

 ** [workflowRunArn](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-workflowRunArn"></a>
The Amazon Resource Name (ARN) of the workflow run.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-us-gov):nova-act:[a-z0-9-]+:[0-9]{12}:workflow-definition/[a-zA-Z0-9_-]{1,40}/workflow-run/[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

 ** [workflowRunId](#API_GetWorkflowRun_ResponseSyntax) **   <a name="novaact-GetWorkflowRun-response-workflowRunId"></a>
The unique identifier of the workflow run.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

## Errors
<a name="API_GetWorkflowRun_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_GetWorkflowRun_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/GetWorkflowRun) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/GetWorkflowRun) 

# InvokeActStep
<a name="API_InvokeActStep"></a>

Executes the next step of an act, processing tool call results and returning new tool calls if needed.

## Request Syntax
<a name="API_InvokeActStep_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId/sessions/sessionId/acts/actId/invoke-step/ HTTP/1.1
Content-type: application/json

{
   "callResults": [ 
      { 
         "callId": "string",
         "content": [ 
            { ... }
         ]
      }
   ],
   "previousStepId": "string"
}
```

## URI Request Parameters
<a name="API_InvokeActStep_RequestParameters"></a>

The request uses the following URI parameters.

 ** [actId](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-uri-actId"></a>
The unique identifier of the act to invoke the next step for.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [sessionId](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-uri-sessionId"></a>
The unique identifier of the session containing the act.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [workflowDefinitionName](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the act.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-uri-workflowRunId"></a>
The unique identifier of the workflow run containing the act.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_InvokeActStep_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [callResults](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-callResults"></a>
The results from previous tool calls that the act requested.  
Type: Array of [CallResult](API_CallResult.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 100 items.  
Required: Yes

 ** [previousStepId](#API_InvokeActStep_RequestSyntax) **   <a name="novaact-InvokeActStep-request-previousStepId"></a>
The identifier of the previous step, used for tracking execution flow.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: No

## Response Syntax
<a name="API_InvokeActStep_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "calls": [ 
      { 
         "callId": "string",
         "input": JSON value,
         "name": "string"
      }
   ],
   "stepId": "string"
}
```

## Response Elements
<a name="API_InvokeActStep_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [calls](#API_InvokeActStep_ResponseSyntax) **   <a name="novaact-InvokeActStep-response-calls"></a>
A list of tool calls that the act wants to execute in this step.  
Type: Array of [Call](API_Call.md) objects

 ** [stepId](#API_InvokeActStep_ResponseSyntax) **   <a name="novaact-InvokeActStep-response-stepId"></a>
The unique identifier for this execution step.  
Type: String  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

## Errors
<a name="API_InvokeActStep_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ServiceQuotaExceededException](API_ServiceQuotaExceededException.md)   
The request would exceed a service quota limit.    
 ** message **   
The request would exceed one or more service quotas for your account.  
 ** quotaCode **   
The code for the specific quota that was exceeded.  
 ** resourceId **   
The identifier of the resource that exceeded the quota.  
 ** resourceType **   
The type of resource that exceeded the quota.  
 ** serviceCode **   
The service code for the quota that was exceeded.
HTTP Status Code: 402

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_InvokeActStep_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/InvokeActStep) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/InvokeActStep) 

# ListActs
<a name="API_ListActs"></a>

Lists all acts within a specific session with their current status and execution details.

## Request Syntax
<a name="API_ListActs_RequestSyntax"></a>

```
POST /workflow-definitions/workflowDefinitionName/acts?maxResults=maxResults&nextToken=nextToken&sessionId=sessionId&workflowRunId=workflowRunId HTTP/1.1
Content-type: application/json

{
   "sortOrder": "string"
}
```

## URI Request Parameters
<a name="API_ListActs_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-uri-maxResults"></a>
The maximum number of acts to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-uri-nextToken"></a>
The token for retrieving the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [sessionId](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-uri-sessionId"></a>
The unique identifier of the session to list acts for.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

 ** [workflowDefinitionName](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the session.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-uri-workflowRunId"></a>
The unique identifier of the workflow run containing the session.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}` 

## Request Body
<a name="API_ListActs_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [sortOrder](#API_ListActs_RequestSyntax) **   <a name="novaact-ListActs-request-sortOrder"></a>
The sort order for the returned acts (ascending or descending).  
Type: String  
Valid Values: `Ascending | Descending`   
Required: No

## Response Syntax
<a name="API_ListActs_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "actSummaries": [ 
      { 
         "actId": "string",
         "endedAt": "string",
         "sessionId": "string",
         "startedAt": "string",
         "status": "string",
         "traceLocation": { 
            "location": "string",
            "locationType": "string"
         },
         "workflowRunId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListActs_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [actSummaries](#API_ListActs_ResponseSyntax) **   <a name="novaact-ListActs-response-actSummaries"></a>
A list of summary information for acts in the session.  
Type: Array of [ActSummary](API_ActSummary.md) objects

 ** [nextToken](#API_ListActs_ResponseSyntax) **   <a name="novaact-ListActs-response-nextToken"></a>
The token for retrieving the next page of results, if available.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Errors
<a name="API_ListActs_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_ListActs_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/ListActs) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/ListActs) 

# ListModels
<a name="API_ListModels"></a>

Lists all available AI models that can be used for workflow execution, including their status and compatibility information.

## Request Syntax
<a name="API_ListModels_RequestSyntax"></a>

```
POST /models?clientCompatibilityVersion=clientCompatibilityVersion HTTP/1.1
```

## URI Request Parameters
<a name="API_ListModels_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clientCompatibilityVersion](#API_ListModels_RequestSyntax) **   <a name="novaact-ListModels-request-uri-clientCompatibilityVersion"></a>
The client compatibility version to filter models by compatibility.  
Required: Yes

## Request Body
<a name="API_ListModels_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListModels_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "compatibilityInformation": { 
      "clientCompatibilityVersion": number,
      "message": "string",
      "supportedModelIds": [ "string" ]
   },
   "modelAliases": [ 
      { 
         "aliasName": "string",
         "latestModelId": "string",
         "resolvedModelId": "string"
      }
   ],
   "modelSummaries": [ 
      { 
         "minimumCompatibilityVersion": number,
         "modelId": "string",
         "modelLifecycle": { 
            "status": "string"
         }
      }
   ]
}
```

## Response Elements
<a name="API_ListModels_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [compatibilityInformation](#API_ListModels_ResponseSyntax) **   <a name="novaact-ListModels-response-compatibilityInformation"></a>
Information about client compatibility and supported models.  
Type: [CompatibilityInformation](API_CompatibilityInformation.md) object

 ** [modelAliases](#API_ListModels_ResponseSyntax) **   <a name="novaact-ListModels-response-modelAliases"></a>
A list of model aliases that provide stable references to model versions.  
Type: Array of [ModelAlias](API_ModelAlias.md) objects

 ** [modelSummaries](#API_ListModels_ResponseSyntax) **   <a name="novaact-ListModels-response-modelSummaries"></a>
A list of available AI models with their status and compatibility information.  
Type: Array of [ModelSummary](API_ModelSummary.md) objects

## Errors
<a name="API_ListModels_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

## See Also
<a name="API_ListModels_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/ListModels) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/ListModels) 

# ListSessions
<a name="API_ListSessions"></a>

Lists all sessions within a specific workflow run.

## Request Syntax
<a name="API_ListSessions_RequestSyntax"></a>

```
POST /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json

{
   "sortOrder": "string"
}
```

## URI Request Parameters
<a name="API_ListSessions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListSessions_RequestSyntax) **   <a name="novaact-ListSessions-request-uri-maxResults"></a>
The maximum number of sessions to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListSessions_RequestSyntax) **   <a name="novaact-ListSessions-request-uri-nextToken"></a>
The token for retrieving the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [workflowDefinitionName](#API_ListSessions_RequestSyntax) **   <a name="novaact-ListSessions-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the workflow run.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_ListSessions_RequestSyntax) **   <a name="novaact-ListSessions-request-uri-workflowRunId"></a>
The unique identifier of the workflow run to list sessions for.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_ListSessions_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [sortOrder](#API_ListSessions_RequestSyntax) **   <a name="novaact-ListSessions-request-sortOrder"></a>
The sort order for the returned sessions (ascending or descending).  
Type: String  
Valid Values: `Ascending | Descending`   
Required: No

## Response Syntax
<a name="API_ListSessions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "sessionSummaries": [ 
      { 
         "sessionId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListSessions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListSessions_ResponseSyntax) **   <a name="novaact-ListSessions-response-nextToken"></a>
The token for retrieving the next page of results, if available.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [sessionSummaries](#API_ListSessions_ResponseSyntax) **   <a name="novaact-ListSessions-response-sessionSummaries"></a>
A list of summary information for sessions in the workflow run.  
Type: Array of [SessionSummary](API_SessionSummary.md) objects

## Errors
<a name="API_ListSessions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_ListSessions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/ListSessions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/ListSessions) 

# ListWorkflowDefinitions
<a name="API_ListWorkflowDefinitions"></a>

Lists all workflow definitions in your account with optional filtering and pagination.

## Request Syntax
<a name="API_ListWorkflowDefinitions_RequestSyntax"></a>

```
POST /workflow-definitions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json

{
   "sortOrder": "string"
}
```

## URI Request Parameters
<a name="API_ListWorkflowDefinitions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListWorkflowDefinitions_RequestSyntax) **   <a name="novaact-ListWorkflowDefinitions-request-uri-maxResults"></a>
The maximum number of workflow definitions to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListWorkflowDefinitions_RequestSyntax) **   <a name="novaact-ListWorkflowDefinitions-request-uri-nextToken"></a>
The token for retrieving the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Request Body
<a name="API_ListWorkflowDefinitions_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [sortOrder](#API_ListWorkflowDefinitions_RequestSyntax) **   <a name="novaact-ListWorkflowDefinitions-request-sortOrder"></a>
The sort order for the returned workflow definitions (ascending or descending).  
Type: String  
Valid Values: `Ascending | Descending`   
Required: No

## Response Syntax
<a name="API_ListWorkflowDefinitions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "workflowDefinitionSummaries": [ 
      { 
         "createdAt": "string",
         "status": "string",
         "workflowDefinitionArn": "string",
         "workflowDefinitionName": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListWorkflowDefinitions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListWorkflowDefinitions_ResponseSyntax) **   <a name="novaact-ListWorkflowDefinitions-response-nextToken"></a>
The token for retrieving the next page of results, if available.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [workflowDefinitionSummaries](#API_ListWorkflowDefinitions_ResponseSyntax) **   <a name="novaact-ListWorkflowDefinitions-response-workflowDefinitionSummaries"></a>
A list of summary information for workflow definitions.  
Type: Array of [WorkflowDefinitionSummary](API_WorkflowDefinitionSummary.md) objects

## Errors
<a name="API_ListWorkflowDefinitions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_ListWorkflowDefinitions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/ListWorkflowDefinitions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/ListWorkflowDefinitions) 

# ListWorkflowRuns
<a name="API_ListWorkflowRuns"></a>

Lists all workflow runs for a specific workflow definition with optional filtering and pagination.

## Request Syntax
<a name="API_ListWorkflowRuns_RequestSyntax"></a>

```
POST /workflow-definitions/workflowDefinitionName/workflow-runs?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json

{
   "sortOrder": "string"
}
```

## URI Request Parameters
<a name="API_ListWorkflowRuns_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListWorkflowRuns_RequestSyntax) **   <a name="novaact-ListWorkflowRuns-request-uri-maxResults"></a>
The maximum number of workflow runs to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListWorkflowRuns_RequestSyntax) **   <a name="novaact-ListWorkflowRuns-request-uri-nextToken"></a>
The token for retrieving the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [workflowDefinitionName](#API_ListWorkflowRuns_RequestSyntax) **   <a name="novaact-ListWorkflowRuns-request-uri-workflowDefinitionName"></a>
The name of the workflow definition to list workflow runs for.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

## Request Body
<a name="API_ListWorkflowRuns_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [sortOrder](#API_ListWorkflowRuns_RequestSyntax) **   <a name="novaact-ListWorkflowRuns-request-sortOrder"></a>
The sort order for the returned workflow runs (ascending or descending).  
Type: String  
Valid Values: `Ascending | Descending`   
Required: No

## Response Syntax
<a name="API_ListWorkflowRuns_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "workflowRunSummaries": [ 
      { 
         "endedAt": "string",
         "startedAt": "string",
         "status": "string",
         "traceLocation": { 
            "location": "string",
            "locationType": "string"
         },
         "workflowRunArn": "string",
         "workflowRunId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListWorkflowRuns_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListWorkflowRuns_ResponseSyntax) **   <a name="novaact-ListWorkflowRuns-response-nextToken"></a>
The token for retrieving the next page of results, if available.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [workflowRunSummaries](#API_ListWorkflowRuns_ResponseSyntax) **   <a name="novaact-ListWorkflowRuns-response-workflowRunSummaries"></a>
A list of summary information for workflow runs.  
Type: Array of [WorkflowRunSummary](API_WorkflowRunSummary.md) objects

## Errors
<a name="API_ListWorkflowRuns_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_ListWorkflowRuns_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/ListWorkflowRuns) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/ListWorkflowRuns) 

# UpdateAct
<a name="API_UpdateAct"></a>

Updates an existing act's configuration, status, or error information.

## Request Syntax
<a name="API_UpdateAct_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId/sessions/sessionId/acts/actId HTTP/1.1
Content-type: application/json

{
   "error": { 
      "message": "string",
      "type": "string"
   },
   "status": "string"
}
```

## URI Request Parameters
<a name="API_UpdateAct_RequestParameters"></a>

The request uses the following URI parameters.

 ** [actId](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-uri-actId"></a>
The unique identifier of the act to update.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [sessionId](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-uri-sessionId"></a>
The unique identifier of the session containing the act.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [workflowDefinitionName](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the act.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-uri-workflowRunId"></a>
The unique identifier of the workflow run containing the act.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_UpdateAct_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [error](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-error"></a>
Error information to associate with the act, if applicable.  
Type: [ActError](API_ActError.md) object  
Required: No

 ** [status](#API_UpdateAct_RequestSyntax) **   <a name="novaact-UpdateAct-request-status"></a>
The new status to set for the act.  
Type: String  
Valid Values: `RUNNING | PENDING_CLIENT_ACTION | PENDING_HUMAN_ACTION | SUCCEEDED | FAILED | TIMED_OUT`   
Required: Yes

## Response Syntax
<a name="API_UpdateAct_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_UpdateAct_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_UpdateAct_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [AccessDeniedException](API_AccessDeniedException.md)   
You don't have sufficient permissions to perform this action.    
 ** message **   
You don't have sufficient permissions to perform this action. Verify your IAM permissions and try again.
HTTP Status Code: 403

 [ConflictException](API_ConflictException.md)   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
The requested operation conflicts with the current state of the resource.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of resource that caused the conflict.
HTTP Status Code: 409

 [InternalServerException](API_InternalServerException.md)   
An internal server error occurred. Please try again later.    
 ** message **   
The service encountered an internal error. Try again later.  
 ** reason **   
The reason for the internal server error.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 [ResourceNotFoundException](API_ResourceNotFoundException.md)   
The requested resource was not found.    
 ** message **   
The specified resource was not found.  
 ** resourceId **   
The identifier of the resource that wasn't found.  
 ** resourceType **   
The type of resource that wasn't found.
HTTP Status Code: 404

 [ThrottlingException](API_ThrottlingException.md)   
The request was throttled due to too many requests. Please try again later.    
 ** message **   
The request was denied due to request throttling.  
 ** quotaCode **   
The quota code related to the throttling.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the throttled request.  
 ** serviceCode **   
The service code where throttling occurred.
HTTP Status Code: 429

 [ValidationException](API_ValidationException.md)   
The input parameters for the request are invalid.    
 ** fieldList **   
The list of fields that failed validation.  
 ** message **   
The input fails to satisfy the constraints specified by the service.  
 ** reason **   
The reason for the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_UpdateAct_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/nova-act-2025-08-22/UpdateAct) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/nova-act-2025-08-22/UpdateAct) 

# UpdateWorkflowRun
<a name="API_UpdateWorkflowRun"></a>

Updates the configuration or state of an active workflow run.

## Request Syntax
<a name="API_UpdateWorkflowRun_RequestSyntax"></a>

```
PUT /workflow-definitions/workflowDefinitionName/workflow-runs/workflowRunId HTTP/1.1
Content-type: application/json

{
   "status": "string"
}
```

## URI Request Parameters
<a name="API_UpdateWorkflowRun_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workflowDefinitionName](#API_UpdateWorkflowRun_RequestSyntax) **   <a name="novaact-UpdateWorkflowRun-request-uri-workflowDefinitionName"></a>
The name of the workflow definition containing the workflow run.  
Length Constraints: Minimum length of 1. Maximum length of 40.  
Pattern: `[a-zA-Z0-9_-]{1,40}`   
Required: Yes

 ** [workflowRunId](#API_UpdateWorkflowRun_RequestSyntax) **   <a name="novaact-UpdateWorkflowRun-request-uri-workflowRunId"></a>
The unique identifier of the workflow run to update.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_UpdateWorkflowRun_RequestBody"></a>
[...]
